local L = AceLibrary("AceLocale-2.0"):new("PerfectRaid")

L:RegisterTranslations("enUS", function()
	return {	
		-- main status
		["Dead"] = "Dead",
		["Ghost"] = "Ghost",
		["Offline"] = "Offline",
		["ImpDying"] = "Imp. Dying",
		["Feign"] = "Feign",

		["STATTEXT_Curse"] 		= "Cu",
		["STATTEXT_Magic"] 		= "Ma",
		["STATTEXT_Poison"] 		= "Po",
		["STATTEXT_Disease"] 		= "Di",
		["STATTEXT_LowMana"] 		= "Mana",
		["STATTEXT_FeignDeath"]		= "FD",
		["STATTEXT_Soulstone"]		= "SS",
		["STATTEXT_Innervate"]		= "Inn",
		["STATTEXT_PowerInfusion"]	= "PwI",
		["STATTEXT_Fortitude"]		= "Fort",
		["STATTEXT_Spirit"]		= "Spi",
		["STATTEXT_Shield"]		= "Sh",
		["STATTEXT_WeakenedSoul"]	= "Ws",
		["STATTEXT_MarkOfWild"]		= "M",
		["STATTEXT_Intellect"] 		= "Int",

        ["STATTEXT_Renew"]		    = "R",
		["STATTEXT_Regrowth"]		= "R",
		["STATTEXT_Rejuvenation"]	= "R",

        ["STATTEXT_BoMight"] 		= "BoM",
		["STATTEXT_BoWisdom"] 		= "BoW",
		["STATTEXT_BoSalvation"] 	= "BoS",
		["STATTEXT_BoLight"] 		= "BoL",
		["STATTEXT_BoSanctuary"]    = "BoSanc",
		["STATTEXT_BoKings"] 		= "BoK",

        ["Low Mana Threshold"] = true,
        ["Sets the level which we show Low Mana"] = true,
        
        -- Buffs
        ["Renew"] = true,
        ["Show units who have Renew"] = true,
        ["Rejuvenation"] = true,
        ["Show units who have Rejuvenation"] = true,
        ["Regrowth"] = true,
        ["Show units who have Regrowth"] = true,
        
        ["Columns"] = true,
        ["Set number of columns"] = true,
		["Buff"] = true,
		["Show/Hide some buffs"] = true,
		["Fortitude"] = true,
		["Show units who need Power Word:Fortitude"] = true,
		["Spirit"] = true,
		["Show units who need Divine Spirit"] = true,
		["Intellect"] = true,
		["Show units who need Arcane Intellect"] = true,
		["Mark of the Wild"] = true,
		["Show units who need Mark of the Wild"] = true,
		["Blessing of Might"] = true,
        ["Show units who need Blessing of Might"] = true,
		["Blessing of Wisdom"] = true,
        ["Show units who need Blessing of Wisdom"] = true,
		["Blessing of Salvation"] = true,
        ["Show units who need Blessing of Salvation"] = true,
		["Blessing of Light"] = true,
        ["Show units who need Blessing of Light"] = true,
		["Blessing of Sanctuary"] = true,
        ["Show units who need Blessing of Sanctuary"] = true,
		["Blessing of Kings"] = true,
        ["Show units who need Blessing of Kings"] = true,
        ["Debuff Indicator"] = true,
        ["Show/Hide the debuff texture"] = true,
        
        ["Raid Simulation"] = true,
		["Frame Alignment"] = true,
		["Horizontal aligmment of frames"] = true,
		["Vertical Alignment"] = true,
		["Vertical Alignment of frames"] = true,
		["Mouseover Highlighting"] = true,
		["Show/Hide the mouseover texture"] = true,
		["Proximity detection"] = true,
		["Dim frames that are out of your range"] = true,
		["Name Truncation"] = true,
		["Truncate player names"] = true,
		["Scale"] = true,
		["Set PerfectRaid's Scale"] = true,
		["Group Separator"] = true,
		["Set the height of the separator"] = true,
		["Inverse Bars"] = true,
		["Show depletion bars"] = true,
		["Show Health Deficit"] = true,
		["Show health deficit"] = true,
		["Bar Texture"] = true,
		["Change the status bar texture"] = true,
		["Lock"] = true,
		["Lock/Unlock PerfectRaid"] = true,
		["Sort"] = true,
		["Sort the PerfectRaid frames"] = true,
		["ManaBars"] = true,
		["Toggle mana bar overlays"] = true,

	}
end)
